<?php

return [
    'enable' => true,
    'default' => [
        'host' => '192.168.1.193',
        'port' => 5672,
        'user' => 'admin',
        'password' => '123456',
        'vhost' => '/',
        'concurrent' => [
            'limit' => 1,
        ],
        'pool' => [
            'connections' => 1,
        ],
        'params' => [
            'insist' => false,
            'login_method' => 'AMQPLAIN',
            'login_response' => null,
            'locale' => 'en_US',
            'connection_timeout' => 3.0,
            // 尽量保持是 heartbeat 数值的两倍
            'read_write_timeout' => 6.0,
            'context' => null,
            'keepalive' => false,
            // 尽量保证每个消息的消费时间小于心跳时间
            'heartbeat' => 3,
            'close_on_destruct' => false,
        ],
    ],
    'pool2' => [

    ]
];
